Bug 137461 - filebrowser causing applications segfault when trying to select files in unbrowsable directories.
filebrowser causing applications segfault when trying to select files in unbr...
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2004-10-28 12:56 EDT by Jef Spaleta
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-23 11:34:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2004-10-28 12:56:35 EDT
Description of problem:
gtk2 filechooser is having a problem dealing with chmod o-r
directories. Here is a simple setup example:

Create an unbrowsable directory as root
ls -la /tmp/
drwxrwx-wx   3 root     root        4096 Oct 28 12:41 users
as normal user:
echo "I am a moron" > /tmp/users/moron.txt
mkdir /tmp/users/poop/
echo "test test 1 2 1 2" > /tmp/users/poop/ick.txt
Verify the set up as normal user:
cat /tmp/users/moron.txt -> this works
ls -la /tmp/users   -> this fails
ls -la /tmp/users/poop  -> this works
cat /tmp/users/poop/ick.txt -> this works
as normal user:
open up gedit
try to open /tmp/users/moron.txt  in the filechooser dialog... segfault
try to open /tmp/users/poop/ick.txt in the filechooser dialog...segfault
you'll have to type in the name of the file, since you can't browse to it.

call gedit /tmp/users/poop/ick.txt  on the commandline
and it works.

Version-Release number of selected component (if applicable):

How reproducible:
always for any file i need to select that is in a tree with a
non-browsable directory. Doesn't matter how deeply the file is nested
into the non-browsable directory, the gtk filechooser doesn't seem to
be able to handle drwxrwx-wx permissions. And I don't know about your
systems, but I know some multi-user systems where this sort of
situation isn't unheard of.  And it happens for any application that
uses the new gtk filechooser, gedit was just an easy illustration.

Comment 1 Matthias Clasen 2004-10-28 15:15:22 EDT
This is already fixed upstream, we just forgot to include the trivial
1-line fix in the backport of the treeview typeahead.

I'm building a fixed package currently, which will appear either in
FC3 or RHEL4.

Note You need to log in before you can comment on or make changes to this bug.